require 'hashie'
require 'logger'
require 'process_metrics/persistence'

module ProcessMetrics
  class Config < Hashie::Mash
    def initialize
      self.logger = Logger.new("metric.log")
      self.persistence = ProcessMetrics::Persistence::Logger
    end
  end

  def self.config
    @@config ||= Config.new
  end
end
